package com.bonus.canteen.core.report.dashboard.constant;

import java.util.ArrayList;
import java.util.List;

public enum DashboardDataKeyEnum {
   TODAY_RECIPE_DISH_NUM("todayRecipeDishNum", "今日菜谱菜品数量"),
   TODAY_NUM_OF_DINERS("todayNumOfDiners", "今日就餐人数"),
   TODAY_NUM_OF_DINER_MEAL("todayNumOfDinerMeal", "今日各餐次就餐人数"),
   DISH_THUMB_RANK("dishThumbRank", "菜品点赞排行榜"),
   SEVEN_DAY_MOST_POPULAR_STALL("sevenDayMostPopularStall", "近七日最受欢迎档口"),
   SEVEN_DAY_CONSUMER_STRUCTURE_SEX("sevenDayConsumerStructure-sex", "近七日消费结构-男女"),
   SEVEN_DAY_CONSUMER_STRUCTURE_MEAL("sevenDayConsumerStructure-meal", "近七日消费结构-各餐次"),
   SEVEN_DAY_CONSUMER_STRUCTURE_ORG("sevenDayConsumerStructure-org", "近七日消费结构-组织"),
   SEVEN_DAY_PRICE_SUMMARY("sevenDayPriceSummary", "近七日价位汇总"),
   FOOD_WASTE("foodWaste", "厨余垃圾统计"),
   TODAY_DISH_SALE_RANK("todayDishSaleRank", "今日菜品销量排行榜"),
   SEVEN_DAY_DISH_SALE_RANK("sevenDayDishSaleRank", "近7日菜品销量排行榜"),
   CURRENT_TIME_MEALTIME("currentTimeMealTime", "当前时间餐次"),
   CURRENT_TIME_WEATHER("currentTimeWeather", "当前时间天气"),
   TODAY_NUM_OF_DINER_MEAL_DINGING_RATE("todayNumOfDinersDiningRate", "今日就餐人数-就餐率"),
   TODAY_MENU_DISPLAY("todayMenuDisplay", "菜谱展示"),
   TODAY_MOST_POPULAR_STALL("toDayMostPopularStall", "今日最受欢迎档口"),
   CANTEN_DINING_PEOPLE("dzCanteenDiningPeople", "食堂就餐人数（客流统计）");

   private final String key;
   private final String desc;

   public static List<String> listKeys() {
      DashboardDataKeyEnum[] values = values();
      List<String> keys = new ArrayList(values.length);
      DashboardDataKeyEnum[] var2 = values;
      int var3 = values.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DashboardDataKeyEnum value = var2[var4];
         keys.add(value.getKey());
      }

      return keys;
   }

   public static DashboardDataKeyEnum getEnum(String key) {
      DashboardDataKeyEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         DashboardDataKeyEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp;
         }
      }

      return null;
   }

   public String getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

   private DashboardDataKeyEnum(final String key, final String desc) {
      this.key = key;
      this.desc = desc;
   }

}
